Skip to main content
GET
Query Community Users

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

communityId
string
required
Required string length: 1 - 900

Query Parameters

memberships
enum<string>[]

Membership type to filter (If not filter will return both banned user and member)

Required array length: 1 - 2 elements
Available options:
banned,
member
roles
string[]

Filter users by their community roles

Required array length: 1 - 20 elements
Required string length: 1 - 100
sortBy
enum<string>
default:lastCreated

The default value depends on the search parameter.

  • If search parameter is not set, the default value is lastCreated.
  • If search parameter is set, the default value is displayName.
Available options:
firstCreated,
lastCreated,
displayName,
profileHandle,
lastJoin,
firstJoin
options[limit]
integer
default:10

Number of results per page (1-100)

Required range: 1 <= x <= 100
options[token]
string

Pagination token for getting next/previous pages

Maximum string length: 1000

Keyword to search for in user information such as displayName, profileHandle, and userId. The search is case-insensitive and supports partial matches.

Maximum string length: 10000
searchBy
enum<string>[]

Fields to search community users for the search keyword (must be used with a search parameter), Default is all three fields

  • displayName - Search by display name. When using with sortBy parameter the applicable sort order is displayName, lastCreated or firstCreated. Default to lastCreated.
  • profileHandle - Search by profile handle, when using with sortBy parameter the applicable sort order is profileHandle, lastCreated or firstCreated. Default to lastCreated.
  • userId - Search by user id, when using with sortBy parameter the applicable sort order is lastCreated, firstCreated or displayName. Default to lastCreated.
Maximum array length: 3
Available options:
displayName,
profileHandle,
userId
type
enum<string>
default:public

type of communityId

Available options:
public,
internal
isDeleted
boolean

filter deleted members if isDeleted is null, will return both deleted and non-deleted members

Response

Community Users Information

communities
object[]
communityUsers
object[]
files
object[]
users
object[]
categories
object[]
feeds
object[]
paging
object